<%@ page import="java.util.*"%>
<%@ page contentType="text/html; charset=GB2312" %>
<%@ page import="java.util.Vector"%>
<%@include file="Common.jsp" %>
<html>
<head>
<title>登陆界面</title>
<link href="../chat.css" rel="stylesheet" type="text/css">
<meta http-equiv="Content-Type" content="text/html; charset=gb2312">
</head>
<body bgcolor="#FFF7DD">
<%
if(session.getAttribute("username")!=null){//初始化用户信息
Calendar ca = Calendar.getInstance();
int m=ca.get(Calendar.MINUTE);
getServletContext().setAttribute(session.getAttribute("username").toString(),Integer.toString(m));
Vector tempVector=(Vector)getServletContext().getAttribute("chatmsg");
if(tempVector!=null)
	session.setAttribute("load",Integer.toString(tempVector.size()-1));//session.load记录用户读取聊天记录的位置
else
	session.setAttribute("load","0");
out.println("<link href=\"chat.css\" rel=\"stylesheet\" type=\"text/css\">");
}else
	response.sendRedirect("member/login.jsp");
%>